GET /openapi/memorylake/admin/v1/billing/invoices/{invoice_id}
Permission required:
invoice:readPath Parameters
string
required
Invoice id (
invoice_id)curl -X GET 'https://app.memorylake.ai/openapi/memorylake/admin/v1/billing/invoices/2501a637ff332794f7dc5edee0556e67' \
-H 'Authorization: Bearer sk_xxxxxx'
Response
object
Show Billing Invoice object
Show Billing Invoice object
integer
Issue time, Unix seconds
string
The payment provider’s hosted invoice page; null when none
string
Invoice id
string
The payment provider’s own PDF link; null when the provider has none yet. GET /billing/invoices/{invoice_id}/pdf always returns a PDF without leaving this API
string
Invoice number printed on the document
string
The order it belongs to (GET /billing/orders/{order_id}); null when none
string
Invoice state. One of:
draft, open, paid, uncollectible, void.object
object
object
integer
Payment due time, Unix seconds
{
"success": true,
"message": "Operation completed successfully",
"data": {
"created_at": 1760000000,
"hosted_invoice_url": "https://example.com/hosted_invoice",
"invoice_id": "fc9ec77f14773109fc1b0f8a2749731e",
"invoice_pdf_url": "https://example.com/invoice_pdf",
"number": "example",
"order_id": "98fae70aa1ad919811f9214706e755e1",
"status": "draft",
"subtotal": {
"amount": 1999,
"currency": "usd"
},
"tax": {
"amount": 1999,
"currency": "usd"
},
"total": {
"amount": 1999,
"currency": "usd"
},
"due_at": 1760000000
}
}
Errors
Errors answer withsuccess: false, a message and an error_code. See Error Codes for every code.
| Status | Meaning |
|---|---|
401 | The API key is missing, invalid, disabled or expired |
403 | The key is not allowed to do this |
404 | The resource does not exist |
422 | The body or a parameter failed validation |
429 | Too many requests. Wait for the time in Retry-After |
500 | Server-side error |